Subject: Re: What's cooking in git.git (Feb 2009, #04; Sun, 15)

From: Sebastien Cevey <[email-masked]>
Date: Mon, 16 Feb 2009 16:27:22 +0100

Selon Jakub Narebski <[email-masked]>:

Hello Jakub,

> Junio C Hamano <[email-masked]> writes:
> 
> > * sc/gitweb-category (Fri Dec 12 00:45:12 2008 +0100) 3 commits
> >  - gitweb: Optional grouping of projects by category
> >  - gitweb: Split git_project_list_body in two functions
> >  - gitweb: Modularized git_get_project_description to be more generic
> > 
> > Design discussion between Jakub and Sebastien seems to have stalled.
> 
> But I am bit stalled at second patch in the series, which extract
> _printing_ the rows in separate function... while it should IMHO also
> refactor _filtering_ projects list, and not have "filtering as we
> print" current code uses... which would be night incompatibile with
> dividing projects list into pages.
> 
> I think this patch series is definitely for after 1.6.2

Okay, I am sorry but I'm going to give up at this point. This patch has been in
the pipeline since July 27, 2008. I understand the iterative review process to
ensure a certain code quality and acknowledge that these patches weren't
perfect
(and probably still aren't), but it's a bit too much of extra rewrite to
support
features that didn't exist and still don't exist yet AFAIK (page splitting of
projects page?). Feel free to take over and do the changes you have in mind,
it'd probably be faster than trying to guide me through it; I still believe
it'd
be a welcome feature, and we've been waiting for it to be merged upstream for
quite a while to activate it on the XMMS2 gitweb.

I have to admit I'm not particularly fond of hacking Perl, but the effort to
get
this rather simple and isolated feature merged don't make it very attractive.

It's a single 6300+ line Perl script we're talking about after all.

Regards,

-- 
Sebastien Cevey - inso.cc